Page MenuHomeFreeBSD

net-p2p/qbittorrent: Update to 4.2.0
Needs ReviewPublic

Authored by daniel.engberg.lists_pyret.net on Oct 26 2019, 9:18 PM.

Details

Reviewers
yuri
Summary

Update qBittorrent to 4.2.0
Remove passing CFLAGS and CXXFLAGS to configure
Define BUILD_ and RUN_DEPENDS

Test Plan

Runtime tested on 12.1 (AMD64)
Poudriere log attached{F5923178}

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

yuri accepted this revision.Oct 26 2019, 9:20 PM

GH_TAGNAME isn't needed. Instead, DISTVERSION should be replaced with what `git --describe``` shows.

This revision is now accepted and ready to land.Oct 26 2019, 9:20 PM

Thanks for the review, I'll update the patch asap although it's late so it wont be tonight.

Hi,
I had a look at git describe and it reports release-3.0.0-5664-g0de5cbaa4 which doesn't seem to be very helpful in this case?

yuri added a comment.Oct 27 2019, 6:50 AM

Hi,
I had a look at git describe and it reports release-3.0.0-5664-g0de5cbaa4 which doesn't seem to be very helpful in this case?

It is helpful:

DISTVERSIONPREFIX=    release-
DISTVERSION=    3.0.0-5664
DISTVERSIONSUFFIX=    -g0de5cbaa4

Yes, but that's incorrect as 3.0.0 would be a lower version number than the current version and misleading?
Application version isn't 3.0.0 and since I'm not very fluent with git I asked for help in the #bsdports channel to understand this issue.
Releases are created off other branches and since 4.2.0 isn't released yet there's no branch or at least the seems to be their workflow given previous versions. 3.0.0 is the most recent tag reached from master branch which is why that's reported by git describe however that should be disregarded in this case. Application version is set in https://github.com/qbittorrent/qBittorrent/blob/master/version.pri which got bumped to beta1 today. I can update to that version if needed if desired as the only code change is bumping the Web API version compared to the current version.
As for the distversion I followed the syntax suggested in Example 5.11 https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#makefile-master_sites-github-description

yuri added a comment.EditedOct 28 2019, 3:42 AM

Hi Daniel,

Why do you want to switch to 4.2.0? They just released 4.1.9 12 hours ago. Why do you want to switch to even a newer tag?

Yuri

yuri added a comment.Oct 28 2019, 5:09 AM

Daniel,

I just updated the qbittorrent port to 4.1.9 released yesterday.
Please let me know if this is sufficient for you, or you need some other tag.

Best,
Yuri

Because 4.2.0 is the first version that supports libtorrent-rasterbar 1.2+

yuri added a comment.Oct 28 2019, 8:02 AM

For some reason it breaks in my poudriere with:

/usr/bin/ld: error: undefined symbol: PKCS5_PBKDF2_HMAC

I need to investigate what's going on.

Strange, which version of FreeBSD are you building it on?

yuri added a comment.Oct 28 2019, 2:38 PM

Strange, which version of FreeBSD are you building it on?

12

I just tried it again on 12.0-RELEASE-p10 and it compiled just fine (poudriere), can you post your log file?

daniel.engberg.lists_pyret.net retitled this revision from net-p2p/qbittorrent: Update to 4.2.0.a.20191024 to net-p2p/qbittorrent: Update to 4.2.0.b1.20191027.
daniel.engberg.lists_pyret.net edited the summary of this revision. (Show Details)

Update to 4.2.0.b1.20191027
Define BUILD_ and RUN_DEPENDS

This revision now requires review to proceed.Oct 29 2019, 8:35 AM

This should fix your build issues, upstream plans to use libtorrent-rasterbar 1.2.2 in their upcoming release so I guess they haven't tried and/or plans to support older versions .

daniel.engberg.lists_pyret.net retitled this revision from net-p2p/qbittorrent: Update to 4.2.0.b1.20191027 to net-p2p/qbittorrent: Update to 4.2.0.
daniel.engberg.lists_pyret.net edited the summary of this revision. (Show Details)
daniel.engberg.lists_pyret.net edited the test plan for this revision. (Show Details)
yuri added a comment.Wed, Dec 4, 3:49 PM

Is there a patch for net-p2p/libtorrent-rasterbar that this is waiting for? It's not listed here.